#ifndef __HTTP_H
#define __HTTP_H

#include <http_awsapi.h>
#include <http_security.h>

#define	REALM1	0
#define	REALM2	1
#define	REALM3	2
#define	REALM4	3
#define	REALM5	4
#define	REALM6	5
#define	REALM7	6
#define	REALM8	7

/*
	no:		0 ... 7
	name:	1<=length<=31
	accessType:	NA_HTTP_SECURITY_MULTIPLE_ACCESS | NA_HTTP_SECURITY_SINGLE_ACCESS
	authenticationType:	NA_HTTP_SECURITY_DIGEST_AUTHENTICATION | NA_HTTP_SECURITY_BASIC_AUTHENTICATION
*/

void	http_init();
void	http_set_realm(int no, char* name, int accessType, int authenticationType);
int		http_start(char* deviceName, int port);

#endif
