#include "gpio.h"

void	init_gpio(unsigned char gpio_bit, unsigned char bDir)
{
    narm_write_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, mode, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, mode) & ~gpio_bit);
	if (bDir)	{
		narm_write_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, dir, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, dir) | gpio_bit);
	}
	else	{
		narm_write_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, dir, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, dir) & ~gpio_bit);
	}
    narm_write_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, reserved, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, reserved) & ~gpio_bit);
}

unsigned char	get_gpio(unsigned char gpio_bit)
{
	return (narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, data) & gpio_bit) ? 1 : 0;
}

void	set_gpio(unsigned char gpio_bit, unsigned char bVal)
{
	if (bVal)	{
		narm_write_reg (NARM_PORTX_REG, GPIO_PORT_ADDR, data, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, data) | gpio_bit);
	}
	else	{
		narm_write_reg (NARM_PORTX_REG, GPIO_PORT_ADDR, data, narm_read_reg(NARM_PORTX_REG, GPIO_PORT_ADDR, data) & ~gpio_bit);
	}
}
