#include "nvram.h"

aceConfigInterfaceInfo*	get_board_params_type(devBoardParamsType* nvParamsPtr)
{
	customizeReadDevBoardParams(nvParamsPtr);
	aceConfigInterfaceInfo*	eth_config = customizeAceFindInterfaceConfig(BP_ETH_INTERFACE, &nvParamsPtr->aceConfig);
	if (eth_config == NULL)	{
		customizeAceGetDefaultConfig(&nvParamsPtr->aceConfig);
		eth_config = customizeAceFindInterfaceConfig(BP_ETH_INTERFACE, &nvParamsPtr->aceConfig);
	}
	if ((!eth_config->isConfigValid) || (!eth_config->isEnabled))	{
		customizeAceGetDefaultEthernetConfig(eth_config, 0);
	}
	return eth_config;
}

int	set_board_params_type(devBoardParamsType* nvParamsPtr)
{
	int	result = -1;
	if (NAGetAppUseNvram())	{
		result = customizeWriteDevBoardParams(nvParamsPtr);
		if (result == 0)	{
			tx_thread_sleep(25);
		}
	}
	return result;
}
