#include <stdio.h>
#include "serial.h"

int	getline(char * buf, int bufsize, echobackType ebt)
{
	char	c;
	int		len = 0;
	do	{
		c = getchar();
		if (c == '\b' || c == 0x7f)	{
			if (len > 0)	{
				if (ebt == ebtNormal || ebt == ebtSecret)	{
					putchar('\b');
					putchar(' ');
					putchar('\b');
				}
				len--;
			}
		}
		else if (c != '\r' && c != '\n' && len < bufsize - 1)	{
			buf[len++] = c;
			if (ebt == ebtNormal)	{
				putchar(c);
			}
			else if (ebt == ebtSecret)	{
				putchar('*');
			}
		}
	}	while (c != '\r');
	if (ebt == ebtNormal || ebt == ebtSecret)	{
		putchar('\r');
		putchar('\n');
	}
	buf[len] = '\0';
	return len;
}
